//	74.442	Advanced Design & Analysis of Algorithms
//	Spring 1998
//	Dr. Bill Kocay
//
//	Hamish Carr
//	Project:	Toroidal Surface Geometries
//
//

#include "TorusMenuBar.h"

TorusMenuBar::TorusMenuBar(BRect theFrame)											//	constructor
	: BMenuBar(theFrame, "Torus Menu Bar")											//	inherited constructor
	{
	BMenu *aMenu;														//	used to add menus on
	BMenuItem *anItem;														//	used to add items to menus
	
	//	File menu
	aMenu = new BMenu("File", B_ITEMS_IN_COLUMN);									//	create a file menu
	
	anItem = new BMenuItem("About Torus", new BMessage(AboutTorusItem), NULL, NULL);					//	create the "about" item
	aMenu->AddItem(anItem);													//	add it to the menu

	aMenu->AddSeparatorItem();												//	add a separator

	anItem = new BMenuItem("New", new BMessage(NewTorusItem), 'N', NULL);						//	create the "new" item
	aMenu->AddItem(anItem);													//	add it to the menu
	
	anItem = new BMenuItem("Open", new BMessage(OpenTorusItem), 'O', NULL);						//	create the "open" item
	aMenu->AddItem(anItem);													//	add it to the menu
	
	anItem = new BMenuItem("Close", new BMessage(CloseTorusItem), 'W', NULL);						//	create the "close" item
	aMenu->AddItem(anItem);													//	add it to the menu

	aMenu->AddSeparatorItem();												//	add a separator
		
	anItem = new BMenuItem("Save", new BMessage(SaveTorusItem), 'S', NULL);						//	create the "save" item
	aMenu->AddItem(anItem);													//	add it to the menu

	anItem = new BMenuItem("Save As", new BMessage(SaveAsTorusItem), 'S', B_SHIFT_KEY);				//	create the "save as" item
	aMenu->AddItem(anItem);													//	add it to the menu
	
	aMenu->AddSeparatorItem();												//	add a separator

	anItem = new BMenuItem("Page Setup ...", new BMessage(PageSetupItem), 'P', B_SHIFT_KEY);
																	//	create the "page setup" item
	aMenu->AddItem(anItem);													//	add it to the menu

	anItem = new BMenuItem("Print ...", new BMessage(PrintItem), 'P', NULL);							//	create the "print" item
	anItem->SetEnabled(false);													//	mark it as unavailable
	aMenu->AddItem(anItem);													//	add it to the menu
	
	aMenu->AddSeparatorItem();												//	add a separator

	anItem = new BMenuItem("Quit", new BMessage(QuitItem), 'Q', NULL);							//	create the "quit" item
	aMenu->AddItem(anItem);													//	add it to the menu
	
	AddItem(aMenu);														//	add the menu to the bar
	} // end of TorusMenuBar constructor
